
Katello - Bug #4722

(nightlies 3-19-14) katello-installer fails with puppet 3

03/19/2014 05:18 PM - Erik Jacobs

Status: Closed   

Priority: Normal   

Assignee:    

Category: Installer   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

[root@satellite ~]# rpm -qa | grep -E "foreman|katello|puppet" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

puppet-3.4.3-1.el6.noarch

puppetlabs-release-6-10.noarch

puppet-server-3.4.3-1.el6.noarch

python-pulp-puppet-common-2.3.1-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

Running katello-installer apparently fails with the below errors:

[root@satellite ~]# grep ERROR /var/log/katello/katello-install/katello-install.log

[ INFO 2014-03-19 13:09:13 main] #    ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var

[ERROR 2014-03-19 13:09:31 main]  tar -xzf capsule::params::certs_tar returned 2 instead of one of [0]

[ERROR 2014-03-19 13:09:31 main]  /Stage[main]/Capsule/Certs::Tar_extract[capsule::params::certs_tar]/Exec[extract

capsule::params::certs_tar]/returns: change from notrun to 0 failed: tar -xzf capsule::params::certs_tar returned 2 instead of one of [0]

[ERROR 2014-03-19 13:09:36 main] 

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE

ROLE "candlepin" ENCRYPTED PASSWORD 'md567e703f0ce86325a9d73e4c65f4be140' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR:

role "candlepin" already exists

[ERROR 2014-03-19 13:09:36 main] 

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE

ROLE "candlepin" ENCRYPTED PASSWORD 'md567e703f0ce86325a9d73e4c65f4be140' LOGIN NOCREATEROLE

NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin"

already exists

[ INFO 2014-03-19 13:11:42 main] -# WARN, DEBUG, ERROR, FATAL, INFO, UNKNOWN

[ INFO 2014-03-19 13:11:42 main] -:log_level: ERROR

[ERROR 2014-03-19 13:11:50 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]:

Failed to call refresh: /usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]

[ERROR 2014-03-19 13:11:50 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-db:migrate]:

/usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]
[ERROR 2014-03-19 13:12:00 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: Failed to call refresh: /usr/bin/wget --timeout=30

--tries=5 --retry-connrefused -qO http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch

/var/lib/candlepin/cpinit_done returned 4 instead of one of [0]

[ERROR 2014-03-19 13:12:00 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: /usr/bin/wget --timeout=30 --tries=5

--retry-connrefused qO http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1 && touch

/var/lib/candlepin/cpinit_done returned 4 instead of one of [0]

[ERROR 2014-03-19 13:12:07 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]:

Failed to call refresh: /usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

[ERROR 2014-03-19 13:12:07 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:seed]/Exec[foreman-rake-db:seed]:

/usr/sbin/foreman-rake db:seed returned 1 instead of one of [0]

There are also many deprecation warnings:

[root@satellite ~]# grep -i deprec /var/log/katello/katello-install/katello-install.log

[ WARN 2014-03-19 13:08:08 main]  Variable access via 'fqdn' is deprecated. Use '@fqdn' instead.

template[/usr/share/katello-installer/modules/certs/templates/rhsm-katello-reconfigure.erb]:19

[ WARN 2014-03-19 13:08:10 main]  Variable access via 'fqdn' is deprecated. Use '@fqdn' instead.

template[/usr/share/katello-installer/modules/pulp/templates/etc/pulp/server.conf.erb]:40

[ WARN 2014-03-19 13:08:10 main]  Variable access via 'processorcount' is deprecated. Use '@processorcount' instead.

template[/usr/share/katello-installer/modules/pulp/templates/etc/pulp/server.conf.erb]:282

Associated revisions

Revision f0e4024c - 03/20/2014 12:55 PM - Eric Helms

Merge pull request #33 from ehelms/fixes-4722

Fixes #4722: Module updates that include fixes to address the installer failing on Puppet 3.

History

#1 - 03/19/2014 05:38 PM - Erik Jacobs

The same system reprovisioned and installed using Puppet 2.x:

[root@satellite ~]# grep ERROR /var/log/katello/katello-install/katello-install.log

[ INFO 2014-03-19 13:22:39 main] -#    ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var

[ERROR 2014-03-19 13:23:13 main] 

/Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresql::Server::Role[candlepin]/Postgresql_psql[CREATE ROLE

"candlepin" ENCRYPTED PASSWORD 'md5ec547bdcd64277994139b0d3d45a75ec' LOGIN NOCREATEROLE NOCREATEDB NOSUPERUSER 

CONNECTION LIMIT -1]: Failed to call refresh: Error executing SQL; psql returned 256: 'ERROR:  role "candlepin" already exists

[ INFO 2014-03-19 13:25:23 main] -# WARN, DEBUG, ERROR, FATAL, INFO, UNKNOWN

[ INFO 2014-03-19 13:25:23 main] -:log_level: ERROR

[root@satellite ~]# rpm -qa | grep -E "foreman|katello|puppet" | sort

foreman-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-postgresql-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403182248gitdf471c7.el6.noarch

katello-1.5.0-14.201403182251gita638704.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403121737git943ff82.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

puppet-2.7.23-1.el6.noarch

puppet-server-2.7.23-1.el6.noarch

python-pulp-puppet-common-2.3.1-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403182251gita638704.el6.noarch

rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403182248git62f913f.git.0.087e5ab.el6.noarch

rubygem-katello_api-0.0.8-1.201403182244git25f03d8.git.0.b35bfdd.el6.noarch

#2 - 03/19/2014 05:45 PM - Eric Helms

- Category set to Installer

- Status changed from New to Need more information
http://localhost:8080/candlepin/admin/init
http://localhost:8080/candlepin/admin/init


Can you include the entire installation log?

#3 - 03/19/2014 05:59 PM - Erik Jacobs

- File katello-install.log added

#4 - 03/21/2014 03:53 PM - Eric Helms

Addressed as of - https://github.com/Katello/katello-installer/pull/33 -- please verify if you can.

#5 - 03/21/2014 04:43 PM - Erik Jacobs

- File katello-install.log added

It did not appear to work:

[root@satellite ~]# grep ERROR /var/log/katello/katello-install/katello-install.log 

[ERROR 2014-03-21 12:34:09 main]  Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-postgresql' returned

 1: 

[ERROR 2014-03-21 12:34:09 main]  /Stage[main]/Foreman::Install/Package[foreman-postgresql]/ensure: change fro

m absent to present failed: Execution of '/usr/bin/yum -d 0 -e 0 -y install foreman-postgresql' returned 1: 

[ INFO 2014-03-21 12:34:24 main] -#    ErrorDocument 500 /error/HTTP_INTERNAL_SERVER_ERROR.html.var

[ERROR 2014-03-21 12:34:51 main]  /Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresq

l::Server::Role[candlepin]/Postgresql_psql[CREATE ROLE "candlepin" ENCRYPTED PASSWORD 'md5c108302be34ba59beaf1

edfb7e9b49db' LOGIN NOCREATEROLE NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Failed to call refresh: Error e

xecuting SQL; psql returned 256: 'ERROR:  role "candlepin" already exists

[ERROR 2014-03-21 12:34:51 main]  /Stage[main]/Candlepin::Database/Postgresql::Server::Db[candlepin]/Postgresq

l::Server::Role[candlepin]/Postgresql_psql[CREATE ROLE "candlepin" ENCRYPTED PASSWORD 'md5c108302be34ba59beaf1

edfb7e9b49db' LOGIN NOCREATEROLE NOCREATEDB NOSUPERUSER  CONNECTION LIMIT -1]: Error executing SQL; psql retur

ned 256: 'ERROR:  role "candlepin" already exists

[ERROR 2014-03-21 12:37:11 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-d

b:migrate]: Failed to call refresh: /usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]

[ERROR 2014-03-21 12:37:11 main]  /Stage[main]/Foreman::Database/Foreman::Rake[db:migrate]/Exec[foreman-rake-d

b:migrate]: /usr/sbin/foreman-rake db:migrate returned 1 instead of one of [0]

[ INFO 2014-03-21 12:37:16 main] -# WARN, DEBUG, ERROR, FATAL, INFO, UNKNOWN

[ INFO 2014-03-21 12:37:16 main] -:log_level: ERROR

[ERROR 2014-03-21 12:37:17 main]  /Stage[main]/Certs::Candlepin/Exec[generate-ssl-keystore]: Failed to call re

fresh: openssl pkcs12 -export -in /etc/pki/katello/certs/katello-ca-stripped.crt -inkey /etc/pki/katello/priva

te/katello-ca.key -out /etc/pki/katello/keystore -name tomcat -CAfile /etc/pki/katello/certs/katello-ca-stripp

ed.crt -caname root -password "file:/etc/pki/katello/keystore_password-file" -passin "file:/etc/pki/katello/pr

ivate/katello-ca.pwd"  returned 1 instead of one of [0]

[ERROR 2014-03-21 12:37:17 main]  /Stage[main]/Certs::Candlepin/Exec[generate-ssl-keystore]: openssl pkcs12 -e

xport -in /etc/pki/katello/certs/katello-ca-stripped.crt -inkey /etc/pki/katello/private/katello-ca.key -out /

etc/pki/katello/keystore -name tomcat -CAfile /etc/pki/katello/certs/katello-ca-stripped.crt -caname root -pas

sword "file:/etc/pki/katello/keystore_password-file" -passin "file:/etc/pki/katello/private/katello-ca.pwd"  r

eturned 1 instead of one of [0]

[ERROR 2014-03-21 12:37:27 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: Failed to call refresh: /usr/b

in/wget --timeout=30 --tries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/c

andlepin/cpinit.log 2>&1 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]

[ERROR 2014-03-21 12:37:27 main]  /Stage[main]/Candlepin::Service/Exec[cpinit]: /usr/bin/wget --timeout=30 --t

ries=5 --retry-connrefused -qO- http://localhost:8080/candlepin/admin/init >/var/log/candlepin/cpinit.log 2>&1

 && touch /var/lib/candlepin/cpinit_done returned 4 instead of one of [0]

[root@satellite ~]# service httpd status

httpd is stopped

#6 - 03/21/2014 04:44 PM - Erik Jacobs

[root@satellite ~]# rpm -qa | grep -E "foreman|katello|puppet" | sort

foreman-1.5.0-0.develop.201403201806git9e0d8a4.el6.noarch

foreman-proxy-1.5.0-0.develop.201403141615git2f75941.el6.noarch

foreman-release-1.5.0-0.develop.201403201806git9e0d8a4.el6.noarch

katello-1.5.0-14.201403202023git6e1e35d.el6.noarch

katello-apache-1.0-1.noarch

katello-ca-1.0-1.noarch

katello-certs-tools-1.5.2-1.git.1.edab2c4.el6.noarch

katello-installer-0.0.19-1.201403201300gitf0e4024.el6.noarch

katello-repos-1.5.1-1.git.14.0868bd1.el6.noarch

pulp-katello-plugins-0.2-1.el6.noarch

pulp-puppet-plugins-2.3.1-1.el6.noarch

puppet-3.4.3-1.el6.noarch

puppetlabs-release-6-10.noarch

puppet-server-3.4.3-1.el6.noarch

python-pulp-puppet-common-2.3.1-1.el6.noarch

ruby193-rubygem-foreman-tasks-0.4.0-1.el6.noarch

ruby193-rubygem-katello-1.5.0-10.201403202023git6e1e35d.el6.noarch
rubygem-foreman_api-0.1.11-1.el6.noarch

rubygem-hammer_cli_foreman-0.0.18-1.el6.noarch

rubygem-hammer_cli_foreman_tasks-0.0.1-3.el6.noarch

rubygem-hammer_cli_katello-0.0.3-1.201403202043git691386e.git.0.95b2e56.el6.noarch

rubygem-katello_api-0.0.8-1.201403202041git0e0b119.git.0.b12147e.el6.noarch

#7 - 03/21/2014 06:34 PM - Erik Jacobs

Might have caught the foreman upstream nightly rebuilds/re-deploys.

I just did this again (2:30PM EST) and got no errors.

I guess this DOES work!

#8 - 03/21/2014 08:16 PM - Mike McCune

- Triaged set to Yes

#9 - 03/21/2014 08:20 PM - Mike McCune

- Triaged deleted (Yes)

#10 - 03/31/2014 04:01 PM - Eric Helms

- Status changed from Need more information to Closed

- % Done changed from 0 to 100

Applied in changeset katello-installer|commit:f0e4024cd3dd204c88ebb683fcfa24a3e72a0dc8.

#11 - 06/06/2014 01:33 PM - Eric Helms

- Triaged set to Yes

#12 - 08/21/2014 02:31 PM - Eric Helms

- translation missing: en.field_release set to 13

Files

katello-install.log 787 KB 03/19/2014 Erik Jacobs

katello-install.log 791 KB 03/21/2014 Erik Jacobs
